import React, { useEffect } from 'react'
import UserSelect from './components/UserSelect'
import UserGroup from './components/UserGroup'
import UserTree from './components/UserTree'

const PersonSelector = (props) => {

  const { onChange, schema, addons } = props
  const { presetValue, interactiveType } = schema

  useEffect(() => {
    if (addons) {
      addons.setValue(addons.dataPath, presetValue)
    } else {
      onChange(presetValue)
    }
  }, [presetValue])

  if (interactiveType === '分组模态') {
    return <UserGroup {...props} />
  } else if (interactiveType === '树形模态') {
    return <UserTree {...props} />
  } else if (interactiveType === '下拉框') {
    return <UserSelect {...props} />
  }
  return null

}

export default PersonSelector